<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Просмотр фильма</title>
</head>
<body>
<form layout:fragment="content">
    <div>
        <h3 th:text="'Information about the film: ' + ${film.getFilmTitle()}"></h3>
        <form class="row g-1">
            <div class="mb-2 row">
                <label for="filmTitle" class="col-sm-2 col-form-label no-border">Название:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getFilmTitle()}" type="text" readonly class="form-control-plaintext" id="filmTitle">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="premierYear" class="col-sm-2 col-form-label no-border">Дата выхода:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getPremierYear()}" type="number" readonly class="form-control-plaintext" id="premierYear">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="country" class="col-sm-2 col-form-label no-border">Страна:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getCountry()}" type="text" readonly class="form-control-plaintext" id="country">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="genre" class="col-sm-2 col-form-label">Жанр:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getGenre().getGenreTextDisplay()}" class="form-control-plaintext" id="genre">
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <form class="row g-1">
            <h4 class="mt-3 mb-3" th:text="'Information about the Director(s)'"></h4>
            <div th:each="director : ${film.getDirectors()}">
                <div class="mb-2 row">
                    <label for="fio" class="col-sm-2 col-form-label">ФИО:</label>
                    <div class="col-sm-10">
                        <a class="text-link text-blue" th:href="'/directors/' + ${director.getId()}" th:text="${director.getDirectorsFio()}" id="fio"></a>
                    </div>
                </div>
                <div class="mb-2 row">
                    <label for="position" class="col-sm-2 col-form-label">Позиция:</label>
                    <div class="col-sm-10">
                        <p th:text="${director.getDirectorsPosition()}" class="form-control-plaintext" id="position">
                    </div>
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <div class="mt-2">
            <a sec:authorize="isAuthenticated() && hasRole('USER')" class="btn btn-primary"
               th:href="'/rent/film/' + ${film.id}">Аренда фильма</a>
            <a sec:authorize="isAuthenticated() && hasRole('USER')" class="btn btn-primary"
               th:href="'/buy/film/' + ${film.id}">Купить фильм</a>
            <a href="/films" class="btn btn-secondary" role="button">Назад</a>
        </div>
    </div>
</form>
</body>
</html>
